콘텐츠로 건너뛰기

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI 설명 다운로드
언어
서버
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ko/api/catalog/
작업

인게임 재화 패키지 생성하기Server-sideAdmin

요청

인게임 재화 패키지를 생성합니다.

보안
basicAuth
경로
project_idinteger필수

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
본문application/json
Any of:
attributesArray of objects(Virtual-Items-Currency_admin-post-put-attributes)<= 20 items

특성 목록입니다.

주의. 아이템에 20개 이상의 특성을 지정할 수 없습니다. 제한을 초과하려고 하면 오류가 발생합니다.
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$필수

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

attributes[].​nameobject(admin-attribute-name)

특성의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

attributes[].​name.​property name*string추가 속성
attributes[].​valuesArray of objects(attribute-value)필수
주의. 각 특성 당 6개 이상의 값을 생성할 수 없습니다. 제한을 초과하려고 하면 오류가 발생합니다.
예제: [{"external_id":"strategy","value":{"de":"Strategie","en":"Strategy"}},{"external_id":"action","value":{"de":"Aktion","en":"Action"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$필수

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

예제: "value_external_id"
attributes[].​values[].​valueobject(value-name)필수

값의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

attributes[].​values[].​value.​property name*string추가 속성
contentArray of objects= 1 characters필수

인게임 재화 패키지에는 1개의 인게임 재화 위치만 포함할 수 있습니다.

content[].​quantityinteger
content[].​skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

custom_attributesobject(json)(item-custom-attributes)<= 500 characters

아이템 특성과 값이 포함된 JSON 개체입니다. 특성을 사용하면 아이템을 사용할 수 있는 플레이어의 레벨과 같은 추가 정보를 아이템에 추가할 수 있습니다. 특성은 게임의 내부 논리를 강화하며 전용 GET 메소드와 웹훅을 통해 이용할 수 있습니다.

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)필수

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

description.​arstring or null

아랍어

description.​bgstring or null

불가리아어

description.​cnstring or null

중국어(간체)

description.​csstring or null

체코어

description.​destring or null

독일어

description.​enstring or null

영어

description.​esstring or null

스페인어(스페인)

description.​frstring or null

프랑스어

description.​hestring or null

히브리어

description.​idstring or null

인도네시아어

description.​itstring or null

이탈리아어

description.​jastring or null

일본어

description.​kmstring or null

크메르어

description.​kostring or null

한국어

description.​lostring or null

라오스어

description.​mystring or null

버마어

description.​nestring or null

네팔어

description.​phstring or null

필리핀어

description.​plstring or null

폴란드어

description.​ptstring or null

포르투칼어

description.​rostring or null

로마니아어

description.​rustring or null

러시아어

description.​thstring or null

태국어

description.​trstring or null

터키어

description.​twstring or null

중국어(번체)

description.​vistring or null

베트남어

groupsArray of strings(Virtual-Items-Currency_admin-groups-create)

List of group external IDs the item belongs to.

Example: ["horror", "action"]

image_urlstring(Virtual-Items-Currency_admin-image_url)

이미지 URL입니다.

is_enabledboolean(Virtual-Items-Currency_is_enabled)

Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.

is_freeboolean(value-is_free)

아이템이 무료인지 여부입니다.

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

아이템이 예를 들어, 루트 박스와 같이 무작위로 지급되었는지 여부.

is_show_in_storeboolean(Virtual-Items-Currency_is_show_in_store)

Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.

limitsobject(Virtual-Currency-Package-item-limit)

아이템 제한 사항입니다.

limits.​per_iteminteger or null(limit_per_item)

전역 항목 제한 사항입니다.

limits.​per_userlimit_per_user (null) or limit_per_user (integer) or limit_per_user (object)(limit_per_user)

개별 사용자에 대한 아이템 제한 사항입니다.

Any of:

개별 사용자에 대한 아이템 제한 사항입니다.

null(limit_per_user)
limits.​recurrent_scheduleobject or null(virtual_currency_package_recurrent_schedule)

새로고침 기간을 제한합니다.

limits.​recurrent_schedule.​per_userinterval_type = 일일 (object) or interval_type = 주간 (object) or interval_type = 월간 (object) or interval_type = 시간 (object)

지정된 시간 간격(시간 단위)마다 구매 한도가 재설정됩니다.

One of:

지정된 시간 간격(시간 단위)마다 구매 한도가 재설정됩니다.

limits.​recurrent_schedule.​per_user.​interval_typestring필수

반복 새로고침 기간입니다.

"daily"
limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...필수

원하는 시간대의 제한 시간 새로고침 시간입니다(시간 단위로 반올림).

예제: "02:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

long_description.​arstring or null

아랍어

long_description.​bgstring or null

불가리아어

long_description.​cnstring or null

중국어(간체)

long_description.​csstring or null

체코어

long_description.​destring or null

독일어

long_description.​enstring or null

영어

long_description.​esstring or null

스페인어(스페인)

long_description.​frstring or null

프랑스어

long_description.​hestring or null

히브리어

long_description.​idstring or null

인도네시아어

long_description.​itstring or null

이탈리아어

long_description.​jastring or null

일본어

long_description.​kmstring or null

크메르어

long_description.​kostring or null

한국어

long_description.​lostring or null

라오스어

long_description.​mystring or null

버마어

long_description.​nestring or null

네팔어

long_description.​phstring or null

필리핀어

long_description.​plstring or null

폴란드어

long_description.​ptstring or null

포르투칼어

long_description.​rostring or null

로마니아어

long_description.​rustring or null

러시아어

long_description.​thstring or null

태국어

long_description.​trstring or null

터키어

long_description.​twstring or null

중국어(번체)

long_description.​vistring or null

베트남어

media_listArray of objects(Virtual-Items-Currency_admin-media_list)

스크린샷, 게임 플레이 동영상 등과 같은 아이템의 추가 자산입니다.

media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)필수

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

name.​arstring or null

아랍어

name.​bgstring or null

불가리아어

name.​cnstring or null

중국어(간체)

name.​csstring or null

체코어

name.​destring or null

독일어

name.​enstring or null

영어

name.​esstring or null

스페인어(스페인)

name.​frstring or null

프랑스어

name.​hestring or null

히브리어

name.​idstring or null

인도네시아어

name.​itstring or null

이탈리아어

name.​jastring or null

일본어

name.​kmstring or null

크메르어

name.​kostring or null

한국어

name.​lostring or null

라오스어

name.​mystring or null

버마어

name.​nestring or null

네팔어

name.​phstring or null

필리핀어

name.​plstring or null

폴란드어

name.​ptstring or null

포르투칼어

name.​rostring or null

로마니아어

name.​rustring or null

러시아어

name.​thstring or null

태국어

name.​trstring or null

터키어

name.​twstring or null

중국어(번체)

name.​vistring or null

베트남어

orderinteger(Virtual-Items-Currency_order)

Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.

periodsArray of objects or null(item-periods)

아이템 판매 기간입니다.

periods[].​date_fromstring(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Virtual-Items-Currency_admin-prices)필수
예제: [{"amount":10.5,"country_iso":"US","currency":"USD","is_default":true,"is_enabled":true}]
prices[].​amountnumber> 0필수

Item price in real currency.

예제: 10.5
prices[].​country_isostring or null

이 가격을 사용할 수 있는 국가입니다. ISO 3166-1 alpha 2에 따른 2자리 글자 코드입니다.

예제: "US"
prices[].​currencystring필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 내용은 설명서를 확인하십시오.

예제: "USD"
prices[].​is_defaultboolean

Whether it is the default price in real currency. Refer to our documentation for detailed information on price settings.

기본값 false
예제: true
prices[].​is_enabledboolean

Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our documentation for detailed information on price settings.

기본값 true
예제: true
regionsArray of objects(Virtual-Items-Currency_admin-regions)

Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

regions[].​idinteger>= 1

Region ID within the project.

Refer to the regional sale restriction documentation and region management API calls for detailed information.

예제: 1
skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

vc_pricesArray of objects or null(Virtual-Items-Currency_admin-create-vc_prices)

Array of virtual currency prices.

예제: [{"amount":10,"is_default":true,"is_enabled":true,"sku":"com.xsolla.gold_1"}]
vc_prices[].​amountinteger필수

인게임 재화의 아이템 가격입니다.

예제: 10
vc_prices[].​is_defaultboolean필수

Whether it is the default price in virtual currency.

기본값 false
예제: true
vc_prices[].​is_enabledboolean필수

Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used.

기본값 true
예제: true
vc_prices[].​skustring(Virtual-Items-Currency_schemas-sku)필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.gold_1"
curl -i -X POST \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/package \
  -H 'Content-Type: application/json' \
  -d '{
    "attributes": [
      {
        "external_id": "event",
        "name": {
          "en-US": "Event"
        },
        "values": [
          {
            "external_id": "10-anniversary",
            "value": {
              "en-US": "10th anniversary"
            }
          },
          {
            "external_id": "christmas",
            "value": {
              "en-US": "Christmas"
            }
          }
        ]
      }
    ],
    "content": [
      {
        "quantity": 500,
        "sku": "com.xsolla.novigrad_crown"
      }
    ],
    "custom_attributes": {
      "attr": "value",
      "purchased": 0
    },
    "description": {
      "en-US": "The Crown (also known as the Novigradian crown) is a monetary unit which is used in some Northern Kingdoms",
      "ru-RU": "Крона (Также известна как Новиградская крона) - платежная единица, используемая в северных королевствах"
    },
    "groups": [
      "witcher"
    ],
    "image_url": "https://vignette.wikia.nocookie.net/witcher/images/7/7c/Items_Orens.png/revision/latest?cb=20081113120917",
    "is_enabled": true,
    "is_free": false,
    "is_paid_randomized_reward": true,
    "limits": {
      "per_item": null,
      "per_user": null
    },
    "long_description": {
      "en-US": "Long Test new",
      "ru-RU": "Длинное описание"
    },
    "media_list": [
      {
        "type": "image",
        "url": "https://test.com/image0"
      },
      {
        "type": "image",
        "url": "https://test.com/image1"
      }
    ],
    "name": {
      "en-US": "500x Novigradian crown",
      "ru-RU": "500x Новиградских крон"
    },
    "order": 1,
    "periods": [
      {
        "date_from": "2020-08-11T10:00:00+03:00",
        "date_until": "2020-08-11T20:00:00+03:00"
      }
    ],
    "prices": [
      {
        "amount": 99.99,
        "currency": "USD",
        "is_default": true
      },
      {
        "amount": 80.03,
        "currency": "EUR",
        "is_enabled": false
      }
    ],
    "sku": "com.xsolla.novigrad_crown_500",
    "vc_prices": null
  }'

응답

가상 아이템을 성공적으로 생성했습니다.

본문application/json
skustring
예제: "com.xsolla.item_1"
응답
application/json
{ "sku": "com.xsolla.item_1" }

요청

인게임 재화 패키지를 삭제합니다.

보안
basicAuth
경로
project_idinteger필수

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
item_skustring필수

아이템 SKU입니다.

예제: booster_mega_1
curl -i -X DELETE \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/package/sku/booster_mega_1

응답

인게임 재화 패키지를 성공적으로 업데이트했습니다.

응답
콘텐츠 없음

인게임 재화 패키지 가져오기Server-sideAdmin

요청

관리를 위해 프로젝트 내부의 인게임 재화 패키지를 가져옵니다.

참고

스토어 카탈로그를 빌드하기 위해 이 엔드포인트를 사용해선 안 됩니다.
보안
basicAuth
경로
project_idinteger필수

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

예제: 44056
item_skustring필수

아이템 SKU입니다.

예제: booster_mega_1
curl -i -X GET \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/package/sku/booster_mega_1

응답

지정한 인게임 재화 패키지를 성공적으로 수신했습니다.

본문application/json
attributesArray of objects(Virtual-Items-Currency_admin-attributes)

특성 목록입니다.

예제: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$필수

고유 특성 ID입니다. external_id는 소문자 및 대문자 라틴 영숫자, 대시 및 밑줄만 포함할 수 있습니다.

예제: "attribute_external_id"
attributes[].​nameobject(admin-attribute-name)

특성의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

예제: {"de":"Attributname","en":"Attribute name"}
attributes[].​name.​property name*string추가 속성
attributes[].​valuesArray of objects(attribute-value)필수
예제: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$필수

특성의 고유한 값 ID입니다. external_id에는 소문자 라틴어 영숫자, 대시, 밑줄만 사용할 수 있습니다.

예제: "value_external_id"
attributes[].​values[].​valueobject(value-name)필수

값의 이름에 대한 현지화가 있는 개체입니다. 키는 ISO 3166-1에 따라 지정되어 있습니다.

attributes[].​values[].​value.​property name*string추가 속성
bundle_typestring
기본값 "virtual_currency_package"
예제: "virtual_currency_package"
contentArray of objects
content[].​description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

content[].​description.​arstring or null

아랍어

content[].​description.​bgstring or null

불가리아어

content[].​description.​cnstring or null

중국어(간체)

content[].​description.​csstring or null

체코어

content[].​description.​destring or null

독일어

content[].​description.​enstring or null

영어

content[].​description.​esstring or null

스페인어(스페인)

content[].​description.​frstring or null

프랑스어

content[].​description.​hestring or null

히브리어

content[].​description.​idstring or null

인도네시아어

content[].​description.​itstring or null

이탈리아어

content[].​description.​jastring or null

일본어

content[].​description.​kmstring or null

크메르어

content[].​description.​kostring or null

한국어

content[].​description.​lostring or null

라오스어

content[].​description.​mystring or null

버마어

content[].​description.​nestring or null

네팔어

content[].​description.​phstring or null

필리핀어

content[].​description.​plstring or null

폴란드어

content[].​description.​ptstring or null

포르투칼어

content[].​description.​rostring or null

로마니아어

content[].​description.​rustring or null

러시아어

content[].​description.​thstring or null

태국어

content[].​description.​trstring or null

터키어

content[].​description.​twstring or null

중국어(번체)

content[].​description.​vistring or null

베트남어

content[].​image_urlstring(Virtual-Items-Currency_admin-image_url)

이미지 URL입니다.

content[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

content[].​name.​arstring or null

아랍어

content[].​name.​bgstring or null

불가리아어

content[].​name.​cnstring or null

중국어(간체)

content[].​name.​csstring or null

체코어

content[].​name.​destring or null

독일어

content[].​name.​enstring or null

영어

content[].​name.​esstring or null

스페인어(스페인)

content[].​name.​frstring or null

프랑스어

content[].​name.​hestring or null

히브리어

content[].​name.​idstring or null

인도네시아어

content[].​name.​itstring or null

이탈리아어

content[].​name.​jastring or null

일본어

content[].​name.​kmstring or null

크메르어

content[].​name.​kostring or null

한국어

content[].​name.​lostring or null

라오스어

content[].​name.​mystring or null

버마어

content[].​name.​nestring or null

네팔어

content[].​name.​phstring or null

필리핀어

content[].​name.​plstring or null

폴란드어

content[].​name.​ptstring or null

포르투칼어

content[].​name.​rostring or null

로마니아어

content[].​name.​rustring or null

러시아어

content[].​name.​thstring or null

태국어

content[].​name.​trstring or null

터키어

content[].​name.​twstring or null

중국어(번체)

content[].​name.​vistring or null

베트남어

content[].​quantityinteger
content[].​skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

content[].​typestring(Virtual-Items-Currency_type)

아이템의 유형: virtual_good/virtual_currency/bundle/physical_good/unit.

custom_attributesobject(json)(item-custom-attributes)<= 500 characters

아이템 특성과 값이 포함된 JSON 개체입니다. 특성을 사용하면 아이템을 사용할 수 있는 플레이어의 레벨과 같은 추가 정보를 아이템에 추가할 수 있습니다. 특성은 게임의 내부 논리를 강화하며 전용 GET 메소드와 웹훅을 통해 이용할 수 있습니다.

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

description.​arstring or null

아랍어

description.​bgstring or null

불가리아어

description.​cnstring or null

중국어(간체)

description.​csstring or null

체코어

description.​destring or null

독일어

description.​enstring or null

영어

description.​esstring or null

스페인어(스페인)

description.​frstring or null

프랑스어

description.​hestring or null

히브리어

description.​idstring or null

인도네시아어

description.​itstring or null

이탈리아어

description.​jastring or null

일본어

description.​kmstring or null

크메르어

description.​kostring or null

한국어

description.​lostring or null

라오스어

description.​mystring or null

버마어

description.​nestring or null

네팔어

description.​phstring or null

필리핀어

description.​plstring or null

폴란드어

description.​ptstring or null

포르투칼어

description.​rostring or null

로마니아어

description.​rustring or null

러시아어

description.​thstring or null

태국어

description.​trstring or null

터키어

description.​twstring or null

중국어(번체)

description.​vistring or null

베트남어

groupsArray of objects(Virtual-Items-Currency_admin-groups-response)

아이템이 속한 그룹입니다.

groups[].​external_idstring
예제: "horror"
groups[].​nameobject

아이템의 이름입니다. 키가 "^[a-z]{2}" 형식의 로케일인 키/값 쌍을 포함해야 하며 값은 문자열입니다.

기본값 {"en":"Horror"}
예제: {"de":"Horror","en":"Horror"}
groups[].​name.​property name*string추가 속성
image_urlstring(Virtual-Items-Currency_admin-image_url)

이미지 URL입니다.

is_enabledboolean(Virtual-Items-Currency_is_enabled)

Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.

is_freeboolean(value-is_free)

아이템이 무료인지 여부입니다.

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

아이템이 예를 들어, 루트 박스와 같이 무작위로 지급되었는지 여부.

is_show_in_storeboolean(Virtual-Items-Currency_is_show_in_store)

Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.

limitsobject or null(admin-item-limit-response)

아이템 제한 사항입니다.

limits.​per_itemobject or null

전역 항목 제한 사항입니다.

limits.​per_item.​availableinteger

모든 사용자가 구매할 수 있는 남은 아이템 수량.

limits.​per_item.​reservedinteger
limits.​per_item.​soldinteger
limits.​per_item.​totalinteger

모든 사용자가 구매할 수 있는 최대 아이템 수량.

limits.​per_userobject or null

개별 사용자에 대한 아이템 제한 사항입니다.

limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
열거형"show""hide"
limits.​per_user.​totalinteger

사용자 한 명이 구매할 수 있는 최대 아이템 수량.

limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

새로고침 기간을 제한합니다.

limits.​recurrent_schedule.​per_userinterval_type = 일일 (object) or interval_type = 주간 (object) or interval_type = 월간 (object) or interval_type = 시간 (object)

사용자 제한 새로고침 기간입니다.

One of:

일일 사용자 유형 제한 설정을 새로고침합니다.

limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

제한 설정을 재설정해야 하는 날짜 및 시간입니다(ISO 8601).

예제: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

첫 번째 제한 설정을 새로고침하는 날짜 및 시간입니다(ISO 8601).

예제: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​interval_typestring

반복 새로고침 기간 유형입니다.

"daily"
limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

새로고침 제한 설정이 적용되는 날짜 및 시간입니다(Unix 타임스탬프)

예제: 1677553200
limits.​recurrent_schedule.​per_user.​timestring(full-time)

원하는 시간대의 제한 시간 새로고침 시간입니다(시간 단위로 반올림).

예제: "11:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

long_description.​arstring or null

아랍어

long_description.​bgstring or null

불가리아어

long_description.​cnstring or null

중국어(간체)

long_description.​csstring or null

체코어

long_description.​destring or null

독일어

long_description.​enstring or null

영어

long_description.​esstring or null

스페인어(스페인)

long_description.​frstring or null

프랑스어

long_description.​hestring or null

히브리어

long_description.​idstring or null

인도네시아어

long_description.​itstring or null

이탈리아어

long_description.​jastring or null

일본어

long_description.​kmstring or null

크메르어

long_description.​kostring or null

한국어

long_description.​lostring or null

라오스어

long_description.​mystring or null

버마어

long_description.​nestring or null

네팔어

long_description.​phstring or null

필리핀어

long_description.​plstring or null

폴란드어

long_description.​ptstring or null

포르투칼어

long_description.​rostring or null

로마니아어

long_description.​rustring or null

러시아어

long_description.​thstring or null

태국어

long_description.​trstring or null

터키어

long_description.​twstring or null

중국어(번체)

long_description.​vistring or null

베트남어

media_listArray of objects(Virtual-Items-Currency_admin-media_list)

스크린샷, 게임 플레이 동영상 등과 같은 아이템의 추가 자산입니다.

media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

name.​arstring or null

아랍어

name.​bgstring or null

불가리아어

name.​cnstring or null

중국어(간체)

name.​csstring or null

체코어

name.​destring or null

독일어

name.​enstring or null

영어

name.​esstring or null

스페인어(스페인)

name.​frstring or null

프랑스어

name.​hestring or null

히브리어

name.​idstring or null

인도네시아어

name.​itstring or null

이탈리아어

name.​jastring or null

일본어

name.​kmstring or null

크메르어

name.​kostring or null

한국어

name.​lostring or null

라오스어

name.​mystring or null

버마어

name.​nestring or null

네팔어

name.​phstring or null

필리핀어

name.​plstring or null

폴란드어

name.​ptstring or null

포르투칼어

name.​rostring or null

로마니아어

name.​rustring or null

러시아어

name.​thstring or null

태국어

name.​trstring or null

터키어

name.​twstring or null

중국어(번체)

name.​vistring or null

베트남어

orderinteger(Virtual-Items-Currency_order)

Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.

periodsArray of objects(item-periods-response)

아이템 판매 기간입니다.

periods[].​date_fromstring or null(date-time)

지정된 아이템을 판매할 수 있는 날짜입니다.

예제: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

지정된 아이템을 판매할 수 없게 되는 날짜입니다. null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Virtual-Items-Currency_admin-prices)
예제: [{"amount":10.5,"country_iso":"US","currency":"USD","is_default":true,"is_enabled":true}]
prices[].​amountnumber> 0필수

Item price in real currency.

예제: 10.5
prices[].​country_isostring or null

이 가격을 사용할 수 있는 국가입니다. ISO 3166-1 alpha 2에 따른 2자리 글자 코드입니다.

예제: "US"
prices[].​currencystring필수

아이템 가격 통화입니다. ISO 4217에 따른 3자리 코드입니다. 엑솔라에서 지원하는 통화에 대한 자세한 내용은 설명서를 확인하십시오.

예제: "USD"
prices[].​is_defaultboolean

Whether it is the default price in real currency. Refer to our documentation for detailed information on price settings.

기본값 false
예제: true
prices[].​is_enabledboolean

Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our documentation for detailed information on price settings.

기본값 true
예제: true
regionsArray of objects(Virtual-Items-Currency_admin-regions)

Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

regions[].​idinteger>= 1

Region ID within the project.

Refer to the regional sale restriction documentation and region management API calls for detailed information.

예제: 1
skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

typestring(Virtual-Items-Currency_type)

아이템의 유형: virtual_good/virtual_currency/bundle/physical_good/unit.

vc_pricesArray of objects(Virtual-Items-Currency_admin-get-vc_prices)
예제: [{"amount":10,"is_default":true,"sku":"com.xsolla.gold_1"}]
vc_prices[].​amountnumber> 0필수

금액.

예제: 10
vc_prices[].​is_defaultboolean
기본값 false
예제: true
vc_prices[].​skustring(Virtual-Items-Currency_schemas-sku)필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

예제: "com.xsolla.gold_1"
응답
application/json
{ "attributes": [ {} ], "bundle_type": "virtual_currency_package", "content": [ {} ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": { "en": "Crystals x100" }, "groups": [], "image_url": "https://cdn3.xsolla.com/img/misc/images/a8682cea328afda0bd127d59eb5b9077.png", "is_enabled": true, "is_free": false, "is_paid_randomized_reward": true, "is_show_in_store": true, "limits": { "per_item": null, "per_user": null, "recurrent_schedule": null }, "long_description": null, "media_list": [], "name": { "en": "Small crystal pack" }, "order": 1, "periods": [], "prices": [ {} ], "regions": [], "sku": "com.xsolla.crystal_pack_1", "type": "bundle", "vc_prices": [] }
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

카탈로그

이 API를 사용하면 모든 종류의 판매할 수 있는 아이템 또는 특정 아이템을 가져올 수 있습니다.

작업
작업
작업
작업
작업